<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Gotta catch them all</title>
  <link rel="stylesheet" href="style.css">
</head>

<body>
  <!-- <div class="container">
        <div id="card"></div>
        <button id="button">Generate</button>
    </div> -->

  <div class="container">
    <div id="card">
      <div>
        <!-- <h3 data-bind="text: hp"></h3> -->
        <p class="hp" data-bind="text: hp">
          <span>HP</span>

        </p>
      </div>
      <h2 class="pokemon-name" data-bind="text: pokemonName"> </h2>
      <div class="types">

      </div>
      <div class="stats">
        <div>
          <h3 data-bind="text: statAttack"></h3>
          <p>Attack</p>
        </div>
        <div>
          <h3 data-bind="text: statDefense"></h3>
          <p>Defense</p>
        </div>
        <div>
          <h3 data-bind="text: statSpeed"></h3>
          <p>Speed</p>
        </div>
      </div>

    </div>
    <button data-bind="click: getPokemon" id="button">Generate</button>
  </div>

  <script src="https://code.jquery.com/jquery-3.6.0.min.js"
    integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/knockout/3.5.0/knockout-min.js"></script>
  <script type="text/javascript" src="viewModel.js"></script>
</body>

</html>